> For the complete documentation index, see [llms.txt](https://doc.wearepatchworks.com/product-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.wearepatchworks.com/product-documentation/api-reference/miscellaneous/general.md).

# General

## Callback General

> To be confirmed.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"General"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[],"paths":{"/api/v1/{tenant}/{callback}/{environment}":{"get":{"summary":"Callback General","description":"To be confirmed.","parameters":[{"name":"tenant","in":"path","required":true,"schema":{"type":"string"},"description":"The tenant identifier."},{"name":"callback","in":"path","required":true,"schema":{"type":"string"},"description":"The callback identifier."},{"name":"environment","in":"path","required":true,"schema":{"type":"string"},"description":"The environment identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}}},"tags":["General"],"operationId":"flowsCallbackGet"}}}}
```

## Create General

> To be confirmed.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"General"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[],"paths":{"/api/v1/{tenant}/{callback}/{environment}":{"post":{"summary":"Create General","description":"To be confirmed.","tags":["General"],"parameters":[{"name":"tenant","in":"path","required":true,"schema":{"type":"string"},"description":"The tenant identifier."},{"name":"callback","in":"path","required":true,"schema":{"type":"string"},"description":"The callback identifier."},{"name":"environment","in":"path","required":true,"schema":{"type":"string"},"description":"The environment identifier."}],"responses":{"200":{"description":"Successful response"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"operationId":"flowsCallback"}}},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}}}}
```

## Webhook General

> To be confirmed.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"General"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[],"paths":{"/api/v1/{tenant}/{webhook}/{environment}":{"get":{"summary":"Webhook General","description":"To be confirmed.","parameters":[{"name":"tenant","in":"path","required":true,"schema":{"type":"string"},"description":"The tenant identifier."},{"name":"webhook","in":"path","required":true,"schema":{"type":"string"},"description":"The webhook identifier."},{"name":"environment","in":"path","required":true,"schema":{"type":"string"},"description":"The environment identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}}},"tags":["General"],"operationId":"flowsWebhookGet"}}}}
```

## Create General

> To be confirmed.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"General"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[],"paths":{"/api/v1/{tenant}/{webhook}/{environment}":{"post":{"summary":"Create General","description":"To be confirmed.","tags":["General"],"parameters":[{"name":"tenant","in":"path","required":true,"schema":{"type":"string"},"description":"The tenant identifier."},{"name":"webhook","in":"path","required":true,"schema":{"type":"string"},"description":"The webhook identifier."},{"name":"environment","in":"path","required":true,"schema":{"type":"string"},"description":"The environment identifier."}],"responses":{"200":{"description":"Successful response"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"operationId":"flowsWebhook"}}},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}}}}
```
